function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//
function fCancelar(){
	SM("L");
}
//
function CalPCS(){
	var pc=gv("TxtPco");
	var mn=gv("CboMnd");
	var tc=gv("TxtTC");
	if(mn=="SOLES"){
		sv("TxtPcs",pc);
	}else{
		var pcs=jVal(pc)*jVal(tc);
		sv("TxtPcs",pcs.toFixed(2));
	}
}
//
function FF(v){
	if(v==-1){
		return 0;
	}else{
		return 1;
	}
}
//
function fGuardar(){
	var idd=gv("TxtId");
	var mar=gv("Mar");
	var noc=gv("Noc");
	var hab=gv("Hab");	
	var StrF=gv("Foto");
	//
	if(jL(mar)==0){
		return AF("Seleccione un marca","Mar");
	}
	if(jL(noc)==0){
		return AF("Ingrese el modelo / nombre","Noc");
	}
	if(jL(hab)==0){
		return AF("Determine si estara habilitado","Hab");
	}
	//
	if(jLen(StrF)>0){
		StrF=StrF.toUpperCase();
		var png=FF(StrF.indexOf(".JPG")) + FF(StrF.indexOf(".JPEG"))+ FF(StrF.indexOf(".PNG"));
		if(png==0){			
			return AF("Solo se permite imagenes de los siguientes formatos .jpg, jpeg o png ","Foto");
		}
		var F11=document.getElementById("Foto");
		var StrFile = F11.files[0];
		if(StrFile.size>1024*1024){
			alert("El tamaño del archivo no debe ser superior a 1 MB");
			jF("Foto");
			return;
		}
	}
	//	
	if(gv("CmdG")=="Guardar"){
		if(preG()){
			document.getElementById("CmdG").disabled=true;
			SM("G");
		}
	}else{
		if(preM()){
			document.getElementById("CmdG").disabled=true;
			SM("M");
		}
	}	
}
//
function verIMG(){
	var cod=gv("TxtId");
	if(jVal(cod)==0){
		alert("Ningun producto activo, seleccione o active un producto");
		return;
	}
	Ow("productoz_fot_vid_fly.php?ID="+cod,845*ZO(),570*ZO());
}
//